Bug 478050 - MIGRATED_FROM_JIRA: Simplify Adding Physical Data Source in Connection (JDBC Driver selection)
MIGRATED_FROM_JIRA: Simplify Adding Physical Data Source in Connection (JDBC ...
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Unknown (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 02:54 EST by Chandrasekar Kannan
Modified: 2015-01-04 19:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 02:54:08 EST
Connection and Source can be combined into one: 

Current they are separate:
1. You have to add one connection
2. You have to add the data source

I suggest we use this process:

1. Right click on Data Source node and pick "Add New Data Source"
2. Dialog box pop up:
    Title: Add Physical Data Source
    Left Column: A List displaying All "Data Source Driver", this from mysql, postgresql, LDAP, Active Directory
    Right Column: 3 buttons 
    - "New Driver" to add jdbc driver
    - "Edit Driver" 
    - "Delete Driver"

3. You pick your data source driver and hit "Next" button, 
    Let you pick "MySQL 4.X", the next dialog box will display:

    Name : [input text]
    Host   : [input text]
    Port    : [3306]              *Note this is auto-filled
    Database Name: [input text]
    Login:   [input text]
    Password: [input text]
    Transaction Isolation : (Drop down box: Read Committed, Read Uncommitted, Repeatable Read, Serializable)
     ----------
     Advanced Properties
     Connection Pool Timeout: [30000]    * predefined, but modifiable
     Connection Pool Min Size : [10]   * predefined, but modifiable
     Connection Pool Max Size: [100]   * predefined, but modifiable
  
4. After you hit next, a dialog box displaying All the releveant entries on that physical data source:
    so if it is a table, display the fields name, if it is a tree



Another possible solution: 

Instead of asking JDBC Driver and JDBC URI:
JDBC Driver: com.mysql.jdbc.Driver
JDBC Url: jdbc:mysql://[hostname]/[database]?[parameter=argument]


Additional Comments From jimyang dated Fri Jul 15 00:32:57 CDT 2005 
For LDAP Data Source:

Name: v1.safehaus.org
URL: v1.safehaus.org:20389
Login: uid=admin,ou=system
Password: ******



Additional Comments From endisd dated Tue Jul 26 09:34:00 CDT 2005 
Some of those suggestions have been implemented in 0.9.3. We will fix all of them in 0.9.4.

Additional Comments From endisd dated Fri Aug 12 16:20:27 CDT 2005 
This is fixed now.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {}
                          ],
          'reporter' => 'jimyang',
          'key' => 'PENROSE-47',
          'assignee' => 'endisd',
          'summary' => 'Simplify Adding Physical Data Source in Connection (JDBC Driver selection)',
          'id' => '10182',
          'updated' => '2005-08-12 16:20:27.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2005-08-31 00:00:00.0',
                             'sequence' => '4',
                             'name' => 'Penrose-0.9.4',
                             'released' => 'true',
                             'id' => '10021',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2005-07-26 00:00:00.0',
                                 'sequence' => '3',
                                 'name' => 'Penrose-0.9.3',
                                 'released' => 'true',
                                 'id' => '10020',
                                 'archived' => 'false'
                               }
                             ],
          'description' => 'Connection and Source can be combined into one: 

Current they are separate:
1. You have to add one connection
2. You have to add the data source

I suggest we use this process:

1. Right click on Data Source node and pick "Add New Data Source"
2. Dialog box pop up:
    Title: Add Physical Data Source
    Left Column: A List displaying All "Data Source Driver", this from mysql, postgresql, LDAP, Active Directory
    Right Column: 3 buttons 
    - "New Driver" to add jdbc driver
    - "Edit Driver" 
    - "Delete Driver"

3. You pick your data source driver and hit "Next" button, 
    Let you pick "MySQL 4.X", the next dialog box will display:

    Name : [input text]
    Host   : [input text]
    Port    : [3306]              *Note this is auto-filled
    Database Name: [input text]
    Login:   [input text]
    Password: [input text]
    Transaction Isolation : (Drop down box: Read Committed, Read Uncommitted, Repeatable Read, Serializable)
     ----------
     Advanced Properties
     Connection Pool Timeout: [30000]    * predefined, but modifiable
     Connection Pool Min Size : [10]   * predefined, but modifiable
     Connection Pool Max Size: [100]   * predefined, but modifiable
  
4. After you hit next, a dialog box displaying All the releveant entries on that physical data source:
    so if it is a table, display the fields name, if it is a tree



Another possible solution: 

Instead of asking JDBC Driver and JDBC URI:
JDBC Driver: com.mysql.jdbc.Driver
JDBC Url: jdbc:mysql://[hostname]/[database]?[parameter=argument]

',
          'created' => '2005-07-15 00:28:22.0',
          'resolution' => '1',
          'type' => '4'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 02:54:10 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-47

Note You need to log in before you can comment on or make changes to this bug.